Subject: Re: File Deleted???
From: [email-masked] (Michael Hirmke)

19 Jul 1998 23:52:58 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi Jsoncraig,

>In Bash I did gcc -o c:/c++/file.cpp -mwindows, because I was told to do it
>that way.  It started compiling, there was some sort of syntax error in my
>code and the file.cpp got deleted?!?!  Anyone know what happened, did I do
>something wrong?  Is it a bug?

Don't know, what happend here, because gcc should complain about "no
input files", if you really used exactly the above mentioned command.
-o normally specifies the *output* file, but nevertheless in your case
the file.cpp should still exist.
Besides that, -mwindows ist not a switch for the compiler, but for the
linker - unfortunately.

>
>Thanks
>Jason

Bye.
Michael.
--
Michael Hirmke           | Telefon +49 (911) 557999
Georg-Strobel-Strasse 81 | FAX     +49 (911) 557664
90489 Nuernberg          | E-Mail  mailto:[email-masked]
                         | WWW     http://aquarius.franken.de/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".